Kodi Community Forum

Full Version: XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Could not download all repository indexes

The repository may no longer be available or could not be contacted because of network problems. If available an older version of the failed index will be used. Otherwise the repository will be ignored. Check your network connection and ensure the repository address in the preferences is correct.

Failed to fetch http://ppa.launchpad.net/team-xbmc/jaunt...ty/Release Unable to find expected entry deb-src/binary-amd64/Packages in Meta-index file (malformed Release file?)
Some index files failed to download, they have been ignored, or old ones used instead.

What am I doing wrong? I would like to try this on my desktop as opposed to my xbox, but I just don't seam to get it. I'm some what familiar with XDSL for my xbox. Is it because I have a 64bit computer?
Im getting this error

(T: XBMCLive)[email protected]:~$ sudo apt-get install xbmc
Reading package lists... Done
Building dependency tree
Reading state information... Done
xbmc is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up xbmc-live (9.04.2+svn20937-jaunty1) ...
dpkg: error processing xbmc-live (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
xbmc-live
E: Sub-process /usr/bin/dpkg returned an error code (1)

any ideas ?

Im pretty new to linux but i managed to get this far!


edit no matter sorted it now Smile
luna_s Wrote:Im getting this error

(T: XBMCLive)[email protected]:~$ sudo apt-get install xbmc
Reading package lists... Done
Building dependency tree
Reading state information... Done
xbmc is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up xbmc-live (9.04.2+svn20937-jaunty1) ...
dpkg: error processing xbmc-live (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
xbmc-live
E: Sub-process /usr/bin/dpkg returned an error code (1)

any ideas ?

Im pretty new to linux but i managed to get this far!


edit no matter sorted it now Smile

How did you managed your workaround? I got the same error yesterday..
MartijnKooi Wrote:How did you managed your workaround? I got the same error yesterday..

I'd like to know the answer to this also.

Thanks,

Mike
I get the same error when upgrading xbmc wth svn ppa.

sudo apt-get update + upgrade

Code:
Errors were encountered while processing:
xbmc-live
E: Sub-process /usr/bin/dpkg returned an error code (1)
I just purged xbmc-live

I guess you could delete the postinstall file, but then you lose out on any setup scripts run there
yep thats what i did too, apt-get purge xbmc*
luna_s Wrote:Im getting this error

(T: XBMCLive)[email protected]:~$ sudo apt-get install xbmc
Reading package lists... Done
Building dependency tree
Reading state information... Done
xbmc is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up xbmc-live (9.04.2+svn20937-jaunty1) ...
dpkg: error processing xbmc-live (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
xbmc-live
E: Sub-process /usr/bin/dpkg returned an error code (1)

any ideas ?

Im pretty new to linux but i managed to get this far!


edit no matter sorted it now Smile
The problem is in postinst script: the script run "AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable ....."
the correct syntax is
"polkit-auth --user xbmc --show-obtainable --explicit"
while updated packages are being built, if you have already xbmc-live installed but not configured due to apt-get errors:

Code:
wget http://www.friendpaste.com/2Iwv42jyau2ZFsetWpF01H_363433646338/raw
sudo mv raw /var/lib/dpkg/info/xbmc-live.postinst
chmod +x /var/lib/dpkg/info/xbmc-live.postinst
sudo apt-get install xbmc-live

Pls report your results.
I got errors doing that too

Code:
Setting up xbmc-live (9.04.2+svn20937-jaunty1) ...
[WARN  3415] polkit-action.c:211:polkit_action_set_action_id(): polkit_action_validate_id (action_id)
Not built with -rdynamic so unable to print a backtrace
polkit-auth: GeneralError: Given action does not have action_id set
dpkg: error processing xbmc-live (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
xbmc-live
E: Sub-process /usr/bin/dpkg returned an error code (1)
(T: XBMCLive)[email protected]:~$

so i edited the xbmc-live.postinst with

sudo /var/lib/dpkg/info/xbmc-live.postinst

and changed --grant to WEiSLaNDs suggestion of --show-obtainable
(not sure if this is ok?) then it built fine altho with these errors

Code:
* Configuring system and starting XBMC...
[: 142: root=UUID=b1ce4e7a-7e11-4b02-bf81-802525377509 quiet splash xbmc=nodiskmount,tempfs,setvolume,noredir loglevel=0: unexpected operator
[: 142: nodiskmount,tempfs,setvolume,noredir: unexpected operator
[: 142: unexpected operator
Setting volumes at 100%
   ...done.

which are grub errors

but system seems to be running fine Smile
Hi
the corrected script in /var/lib/dpkg/info/xbmc-live.postinst
Code:
#!/bin/sh
# postinst script for test
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#          <new-version>
#        * <postinst> `abort-remove'
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


case "$1" in
    configure)
        sed -i.bak-xbmc-live s/allowed_users=console/allowed_users=anybody/ /etc/X11/Xwrapper.config

        USER=xbmc
        USER_EXISTS=`grep $USER /etc/passwd|awk -F : '{print $1}'`
        if [ ! "$USER_EXISTS" = "$USER" ]; then
            adduser $USER
        fi

        USER_IN_GROUP=`groups xbmc|grep adm`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc adm
        fi
        USER_IN_GROUP=`groups xbmc|grep dialout`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc dialout
        fi
        USER_IN_GROUP=`groups xbmc|grep cdrom`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc cdrom
        fi
        USER_IN_GROUP=`groups xbmc|grep floppy`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc floppy
        fi
        USER_IN_GROUP=`groups xbmc|grep audio`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc audio
        fi
        USER_IN_GROUP=`groups xbmc|grep dip`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc dip
        fi
        USER_IN_GROUP=`groups xbmc|grep video`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc video
        fi
        USER_IN_GROUP=`groups xbmc|grep plugdev`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc plugdev
        fi
        USER_IN_GROUP=`groups xbmc|grep fuse`
        if [ "$USER_IN_GROUP" = "" ]; then
                adduser xbmc fuse
        fi
#       USER_IN_GROUP=`groups xbmc|grep sudo`
#       if [ "$USER_IN_GROUP" = "" ]; then
#               adduser xbmc sudo
#       fi

        AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable --explicit | grep org.freedesktop.hal.power-management.shutdown`
        if [ "$AUTH_EXISTS" = "" ]; then
                polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.shutdown
                polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.shutdown-multiple-sessions
        fi
        AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable --explicit | grep org.freedesktop.hal.power-management.reboot`
        if [ "$AUTH_EXISTS" = "" ]; then
                polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.reboot
                polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.reboot-multiple-sessions
        fi
        AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable --explicit | grep org.freedesktop.hal.power-management.set-powersave`
        if [ "$AUTH_EXISTS" = "" ]; then
                polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.set-powersave
        fi
        AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable --explicit | grep org.freedesktop.hal.power-management.suspend`
        if [ "$AUTH_EXISTS" = "" ]; then
                polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.suspend
        fi
        AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable --explicit | grep org.freedesktop.hal.power-management.hibernate`
        if [ "$AUTH_EXISTS" = "" ]; then
                polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.hibernate
        fi
        AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable --explicit | grep org.freedesktop.hal.storage.mount-removable`
        if [ "$AUTH_EXISTS" = "" ]; then
                polkit-auth --user xbmc --grant org.freedesktop.hal.storage.mount-removable
        fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

# Automatically added by dh_installinit
if [ -x "/etc/init.d/xbmc-live" ]; then
        update-rc.d xbmc-live defaults >/dev/null
        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
                invoke-rc.d xbmc-live start || exit $?
        else
                /etc/init.d/xbmc-live start || exit $?
        fi
fi
# End automatically added section


exit 0
I still got the same error after modifying the file: xbmc-live.postinst

PHP Code:
xbmc@solonview:~$ sudo apt-get install xbmc-live
Reading package lists
... Done
Building dependency tree
Reading state information
... Done
xbmc
-live is already the newest version.
0 upgraded0 newly installed0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation0B of additional disk space will be used.
Setting up xbmc-live (9.04.2+svn20937-jaunty1) ...
dpkgerror processing xbmc-live (--configure):
 
subprocess post-installation script returned error exit status 1
Errors were encountered 
while processing:
 
xbmc-live
E
Sub-process /usr/bin/dpkg returned an error code (1)
xbmc@solonview:~$ 
can you pls try the SVN version?
Still the same..

PHP Code:
xbmc@solonview:~$ sudo apt-get install xbmc-live
Reading package lists
... Done
Building dependency tree
Reading state information
... Done
The following packages were automatically installed 
and are no longer required:
  
libvorbisenc2 usplash-theme-ubuntu python-bluez libbluetooth3 libcwiid1
  usplash
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  
xbmc-standalone
Suggested packages
:
  
xbmc-third-parties
The following 
NEW packages will be installed:
  
xbmc-live xbmc-standalone
0 upgraded
2 newly installed0 to remove and 0 not upgraded.
Need to get 14.8kB of archives.
After this operation156kB of additional disk space will be used.
Do 
you want to continue [Y/n]? y
Get
:1 http://ppa.launchpad.net jaunty/main xbmc-standalone 9.04.1-jaunty1 [2726B]
Get:2 http://ppa.launchpad.net jaunty/main xbmc-live 9.04.1-jaunty1 [12.1kB]
Fetched 14.8kB in 0s (80.5kB/s)
Selecting previously deselected package xbmc-standalone.
(
Reading database ... 51244 files and directories currently installed.)
Unpacking xbmc-standalone (from .../xbmc-standalone_9.04.1-jaunty1_i386.deb) ...
Selecting previously deselected package xbmc-live.
Unpacking xbmc-live (from .../xbmc-live_9.04.1-jaunty1_i386.deb) ...
Setting up xbmc-standalone (9.04.1-jaunty1) ...
Setting up xbmc-live (9.04.1-jaunty1) ...
Installing new version of config file /etc/init.d/xbmc-live ...
The user `xbmc' is already a member of `admin'.
The user `xbmc' 
is already a member of `adm'.
The user 
`xbmc' is already a member of `dialout'.
The user `xbmc' is already a member of `cdrom'.
The user `xbmc' 
is already a member of `floppy'.
The user 
`xbmc' is already a member of `audio'.
Adding user `xbmc' to group `dip' ...
Adding user xbmc to group dip
Done.
The user `xbmc' 
is already a member of `video'.
The user 
`xbmc' is already a member of `plugdev'.
The user `xbmc' is already a member of `fuse'.
The user `xbmc' 
is already a member of `sudo'.
polkit-auth: AuthorizationAlreadyExists: An authorization for uid 1000 for the action org.freedesktop.hal.power-management.shutdown with constraint '' already exists
dpkg: error processing xbmc-live (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 xbmc-live
E: Sub-process /usr/bin/dpkg returned an error code (1)
[email protected]:~$ 

XBMC is running fine though, it wont starup automaticaly..
Can't find how to autoboot to xbmc..
I meant: repeat now the steps above:

Code:
wget http://trac.xbmc.org/export/21048/branches/linuxport/XBMC/tools/XBMCLive/postint
sudo mv postint /var/lib/dpkg/info/xbmc-live.postinst
chmod +x /var/lib/dpkg/info/xbmc-live.postinst
sudo apt-get install xbmc-live